import request from '@/utils/request'

// 标签页分类
export function tabList() {
  return request({
    url: `/recommend/type/module/listAll`,
    method: 'get'
  })
}

// 模板列表 
export function typeList() {
  return request({
    url: `/recommend/type/getList`,
    method: 'get'
  })
}

// 二级列表
export function list(id) {
  return request({
    url: `/recommend/type/getSecondRecommend/${id}`,
    method: 'get'
  })
}

// 新增 编辑 二级列表
export function submit(data) {
  return request({
    url: `/recommend/type/module/second/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 二级详情
export function listDetail(id) {
  return request({
    url: `/recommend/type/getSecondRecommend/get/${id}`,
    method: 'get'
  })
}

// 历史记录
export function history(data) {
  return request({
    url: `/recommend/type/history/list`,
    method: 'post',
    data
  })
}

// 删除
export function remove(lv, id) {
  return request({
    url: `/recommend/type/recmmend/delete/${lv}/${id}`,
    method: 'get'
  })
}

// 三级详情
export function detail(id) {
  return request({
    url: `/recommend/type/getThreeRecommend/get/${id}`,
    method: 'get'
  })
}

// 查询模块
export function moduleList(id) {
  return request({
    url: `/recommend/type/get/${id}`,
    method: 'get'
  })
}

// 音频内容列表
export function radioList(query) {
  return request({
    url: `/commonRadio/page`,
    method: 'get',
    params: query
  })
}

// 新增 编辑 三级
export function submitThree(data) {
  return request({
    url: `/recommend/type/three/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 有效时间
export function timeChange(data) {
  return request({
    url: `/recommend/type/time/saveOrUpdate`,
    method: 'post',
    data
  })
}